Get MCP by ID
curl --request GET \
--url https://api.trugen.ai/v1/ext/mcp/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trugen.ai/v1/ext/mcp/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trugen.ai/v1/ext/mcp/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "dcf04568-6bf5-40cf-bd6f-d68e4cb5b216",
"name": "Livekit Docs",
"description": "MCP server to get livekit info",
"type": "shttp/sse",
"request_config": {
"url": "http://ec2-18-216-51-35.us-east-2.compute.amazonaws.com:8080/sse",
"headers": {
"User-Agent": "Trugen Avatar",
"Accept": "application/json"
}
},
"created_at": "2025-10-02T17:22:10.96453Z",
"updated_at": "2025-10-02T17:22:10.96453Z"
}{
"error": "Unauthorized: not a valid authorization api key"
}{
"error": "MCP not found"
}{
"error": "Failed to retrieve MCP details"
}MCPs
Get MCP By Id
Fetch a single MCP configuration by its unique ID. Requires x-api-key authentication.
GET
/
ext
/
mcp
/
{id}
Get MCP by ID
Authorizations
Path Parameters
Unique identifier of the MCP
Example:
"0d585f9a-e992-42d4-bda2-9c25f2bd7eda"
Response
MCP object successfully retrieved
Example:
"dcf04568-6bf5-40cf-bd6f-d68e4cb5b216"
Example:
"Livekit Docs"
Example:
"MCP server to get livekit info"
Example:
"shttp/sse"
Show child attributes
Show child attributes
Example:
"2025-10-02T17:22:10.96453Z"
Example:
"2025-10-02T17:22:10.96453Z"
Was this page helpful?
⌘I